Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Main::QuitSignal Class Reference

Quit signal class. More...

`#include <xfc/main.hh>`

List of all members.

## Public Types

- typedef sigc::slot< bool > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- sigc::connection connect (const SlotType &slot, unsigned int main_level=0)
    Connect a slot to be called when an instance of the mainloop is left.

## Detailed Description

Quit signal class.

## Member Function Documentation

sigc::connection Xfc::Main::QuitSignal::connect | ( | const SlotType & | slot,
|  | unsigned int | main_level = `0`
| ) |

Connect a slot to be called when an instance of the mainloop is left.

Parameters:

  | slot | The slot to call.
  | main_level | Level at which termination the slot shall be called.

Returns:
  A connection object that can be used to break or alter the connection.

You can pass 0 as the main_level to have your slot invoked at the termination of the current mainloop.

The documentation for this class was generated from the following file:

- libXFCui/xfc/main.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3